include: package:flutter_lints/flutter.yaml

analyzer:
  language:
    strict-raw-types: true
  exclude:
    - lib/generated_plugin_registrant.dart
  errors:
    # allow self-reference to deprecated members (we do this because otherwise we have
    # to annotate every member in every test, assert, etc, when we deprecate something)
    deprecated_member_use_from_same_package: ignore

linter:
  rules:
    close_sinks: true
    sort_constructors_first: true
    sort_pub_dependencies: false
